<%- include("templates/header"); %>
  <%- include("templates/graphBookAuthor",{title:title}); %>
    <%- include("templates/graphBooksByAuthor",{nombre:nombre}); %>
      <%- include("templates/graphCategory",{categoria:categoria}); %>
        <%- include("templates/navbar",{username:username}); %>

          <div class="container pt-5">
            <!-- Button trigger modal -->
            <div class="container">
              <button type="button" class="btn mb-5" data-toggle="modal" data-target="#modal1"
                style="margin-left: 4.5rem;background-color: #640000;color:white">
                Relación Libro-Autor
              </button>
            </div>
            <!-- Modal -->
            <div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="label1" aria-hidden="true">
              <div class="modal-dialog" role="document" style="margin-left:14em;">
                <div class="modal-content" style="width: 900px;height: 600px;">
                  <div class="modal-header" style="border-bottom: 1px solid #640000;">
                    <h5 class="modal-title" id="label1">Query: 'merge (n:param{value:"<%=title%>"}) with n.value as
                        param1 match (n:Book{title:param1})MERGE(a)-[r:WROTE]-(n) Return a,r,n' (Arrastra para verlo
                        mejor)</h5>
                    <button type="button" class="btn close" data-dismiss="modal" aria-label="Close">
                      <i class="fa fa-window-close" style="font-size: 25px;"></i>
                    </button>
                  </div>
                  <div class="modal-body" id="viz2">
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-3"></div>
              <div class="col-6">
                <div class="card mb-3 text-center" style="max-width: 540px;border:1px solid #640000;">
                  <div class="row g-0">
                    <% book.forEach(data=> { %>
                      <div class="col-md-4 border-danger">
                        <img src="<%=data.img%>" style="max-height: 279px;">
                      </div>
                      <div class="col-md-8">
                        <div class="card-body">
                          <h5 class="card-title">
                            <%=data.title%>
                          </h5>
                          <p class="card-text">Published on: <%=data.published%>
                          </p>
                          <p class="card-text">Number of pages: <%=data.pages%>
                          </p>
                          <hr style="color:#640000;">
                          <h5>Author</h5>
                          <% authorData.forEach(author=> {%>
                            <p class="card-text">Name: <%=author.name%>
                            </p>
                            <p class="card-text">Birth: <%=author.born%>
                            </p>
                            <%});%>
                        </div>
                      </div>
                      <% }); %>
                  </div>
                </div>
                <div class="col-3"></div>
              </div>
            </div>
          </div>

          <div class="container-fluid pt-5">
            <h5>Related to this author</h5>
            <!-- Button trigger modal -->
            <button type="button" class="btn mb-5" data-toggle="modal" data-target="#modal2"
              style="background-color: #640000;color:white;">
              Relación Libros-Autor
            </button>
            <!-- Modal -->
            <div class="modal fade" id="modal2" tabindex="-1" role="dialog" aria-labelledby="label2" aria-hidden="true">
              <div class="modal-dialog" role="document" style="margin-left:14em;">
                <div class="modal-content" style="width: 900px;height: 600px;">
                  <div class="modal-header" style="border-bottom: 1px solid #640000;">
                    <h5 class="modal-title" id="label2">Query: 'merge (n:param{value:"<%=nombre%>"}) with n.value as
                        param1 match (n:Author{name:param1})MERGE(a)-[r:WROTE]-(n) Return a,r,n' (Arrastra para verlo
                        mejor)</h5>
                    <button type="button" class="btn close" data-dismiss="modal" aria-label="Close">
                      <i class="fa fa-window-close" style="font-size: 25px;"></i>
                    </button>
                  </div>
                  <div class="modal-body" id="viz3">
                  </div>
                </div>
              </div>
            </div>

            <div class="row mt-0">
              <% booksAuth.forEach(booksAuth=> { %>
                <div class="col-lg-2 col-md-3 col-sm-4 text-center">
                  <div class="card pb-2" style="border: none;">
                    <a href="/<%=booksAuth.title%>"><img src="<%=booksAuth.img%>" class="card-img-top text-center"
                        style="width: 100%; height: 315px;"></a>

                  </div>
                </div>
                <% }); %>
            </div>
          </div>

          <div class="container-fluid pt-5">

            <h5>Related to this Category:
              <% categories.forEach(category=> { %>
                <%=category.category%>
                  <% }); %>
            </h5>
            <!-- Button trigger modal -->
            <button type="button" class="btn mb-5" data-toggle="modal" data-target="#modal4"
              style="background-color: #640000;color:white;">
              Relación Libros-Categoría
            </button>
            <!-- Modal -->
            <div class="modal fade" id="modal4" tabindex="-1" role="dialog" aria-labelledby="label4" aria-hidden="true">
              <div class="modal-dialog" role="document" style="margin-left:14em;">
                <div class="modal-content" style="width: 900px;height: 600px;">
                  <div class="modal-header" style="border-bottom: 1px solid #640000;">
                    <h5 class="modal-title" id="label4">Query: 'merge (n:param{value:"<%=categoria%>"}) with n.value as
                        param1 match (n:Category{category:param1})MERGE(a)-[r:IS]-(n) Return a,r,n' (Arrastra para verlo
                        mejor)</h5>
                    <button type="button" class="btn close" data-dismiss="modal" aria-label="Close">
                      <i class="fa fa-window-close" style="font-size: 25px;"></i>
                    </button>
                  </div>
                  <div class="modal-body" id="viz4">
                  </div>
                </div>
              </div>
            </div>
            <div class="row pt-3">

              <% booksCate.forEach(booksCate=> { %>

                <div class="col-lg-2 col-md-3 col-sm-4 text-center">
                  <div class="card pb-2" style="border: none;">
                    <a href="/<%=booksCate.title%>"><img src="<%=booksCate.img%>"
                        style="width: 100%; height: 315px;"></a>
                  </div>
                </div>
                <% }); %>
            </div>
          </div>
          <%- include("templates/footer") %>